import processing.phone.*;
import processing.sound.*;
Phone p;
PFont font;

color gray, grayLight;

void setup(){
  // go fullscreen
  p = new Phone(this); 
  p.fullscreen();
  // color setup
  gray = color(50, 50, 50);
  grayLight = color(200, 200, 200);
  // font setup
  font = loadFont("Verdana-10.mvlw", grayLight);
  textFont(font);
}

void draw(){
  // clear screen
  background(gray);
  // set text
  text("screen width:" + nf(width, 3), 70, 50);
  text("screen height:" + nf(height, 3), 70, 60);
  // draw square in lower corner to confirm
  fill(grayLight);
  rect(width - 5, height - 5, 5, 5);
}

void keyPressed() { 
  switch(keyCode){
    case '1':
      p.vibrate(500);
      break;
    case '2':
      Sound.playTone(64, 500, 100);
      break;
    case '0':
      exit();
      break;
  }
}
